NSX-T Data Center REST API

Replace the policy edge node at the specified member-index in the edge-cluster

Replace the Policy Edge Node present at the specified member-index in the edge-cluster.
This is a disruptive action. This will move all the Interfaces(uplink and routerLink)
hosted on the old Policy Edge Node to the new Policy Edge Node. The same Policy Edge Node cannot be
present as a member of any edge cluster.

Request:

Method:
POST
URI Path(s):
/policy/api/v1/infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-clusters/{edge-cluster-id}/action/replace-edge-transport-node
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
PolicyEdgeNodeReplaceMember+

Example Request:

POST https://<policy-mgr>/policy/api/v1/infra/sites/default/enforcement-points/default/edge-clusters/my-edge-cluster-id/action/replace-edge-transport-node { "policy_edge_node_path": "/infra/sites/default/enforcement-points/default/edge-clusters/my-edge-cluster-id/edge-nodes/my-policy-edge-node-id", "edge_transport_node_path": "/infra/sites/default/enforcement-points/default/edge-transport-nodes/my-policy-edge-transport-node-id" }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
PolicyEdgeCluster+

Required Permissions:

crud

Feature:

policy_ep_edge

Additional Errors: